import sys
import subprocess
import shutil
import click

def is_command_available(command_name):
    return shutil.which(command_name) is not None

def run_command(cmd, fail_on_nonzero_exit_code=True):
    try:
        return subprocess.run(cmd)
    except Exception as e:
        if fail_on_nonzero_exit_code:
            click.echo(click.style(e, fg='bright_red'))
            sys.exit()
